Bug 55813 - initscripts fails to create IP aliases
initscripts fails to create IP aliases
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-11-06 20:31 EST by Florin Andrei
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-07 15:01:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2001-11-06 20:31:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011014

Description of problem:
If i define an IP alias interface in /etc/sysconfig/network-scripts under
the name ifcfg-eth0:0 (but any other correct name will do) and i don't have
linuxconf installed, then /etc/init.d/network will fail to create the IP
alias interface when system boots up.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Create /etc/sysconfig/network-scripts/ifcfg-eth0:0 and put the right
information inside that file
2.make sure linuxconf is NOT installed
3.reboot the system

Actual Results:  eth0:0 is not created

Expected Results:  eth0:0 should be created as an IP alias to eth0 using
the settings from /etc/sysconfig/network-scripts/ifcfg-eth0:0

Additional info:

Here's a quote from /etc/init.d/network:

# if linuxconf isn't around to figure stuff out for us,
# we punt.  Probably better than completely reloading
# networking if user isn't sure which to do.  If user
# is sure, they would run restart or reload, not probe.

See? Linuxconf it's actually required in order to create IP aliases when
the system boots up, but linuxconf is no longer included in Red Hat
distribution. :-/ Catch 22, huh?

There are two solutions to this problem: make linuxconf be installed by
default so that IP aliases are correctly created, or fix the damn script.

I've seen this problem also with 7.1, and i assume it's the same with 7.0
too. That's bad. Please fix it.
Comment 1 Bill Nottingham 2001-11-06 22:05:29 EST
Please read the code you're quoting. It's from a part of the init script that
has nothing to do with aliases.

aliases work fine here without linuxconf, and have for a while. What did you put
in the ifcfg-eth0:0 file?
Comment 2 Florin Andrei 2001-11-07 12:54:08 EST
Ok, here's an example of ifcfg-eth1:0


Run ifdown eth1; ifup eth1 and the alias is not configured.
Comment 3 Bill Nottingham 2001-11-07 14:03:16 EST
The DEVICE entry is wrong; it needs to be the name of the alias, i.e.:


Change it to that and it should work fine.
Comment 4 Florin Andrei 2001-11-07 15:01:04 EST
Ok, now i have this in /etc/sysconfig/network-scripts/ifcfg-eth1:0


And i have this in /etc/sysconfig/network-scripts/ifcfg-eth1


And if i run ifup/ifdown on eth1 i get this:

[root@stantz root]# ifdown eth1
[root@stantz root]# ifup eth1
SIOCSIFADDR: File exists
SIOCSIFFLAGS: Cannot assign requested address
SIOCSIFNETMASK: Cannot assign requested address
SIOCSIFBRDADDR: Cannot assign requested address
SIOCSIFFLAGS: Cannot assign requested address
[root@stantz root]#
Comment 5 Bill Nottingham 2001-11-07 15:09:07 EST
I just added those exact files and it works fine for me; perhaps you have some
stale configuration around?

Try running 'ip addr flush dev eth1'.
Comment 6 Bill Nottingham 2001-11-07 15:10:27 EST
Also, you may want to try initscripts-6.40.1-1 or later from rawhide.

Note You need to log in before you can comment on or make changes to this bug.